<p>
  my-component works!
  
  <ng-container  *ngTemplateOutlet="myDirec!.temp; context: myContext" ></ng-container>
{{myDirec!.appMydirec}}


</p>
<ng-container *ngIf="{users: (usersFiltered$ | async),masks: subjectMask |async} as state">
<div *ngFor="let user of state.users ">
  {{user | json}}{{state.masks}}
  <div *ngIf="state.masks && getCkeck(user,state.masks)">
    MASK ACTIVED!!
  </div>
  <button (click)="expandChild(user)">Expand child</button>

</div>
</ng-container>
<button (click)="setUsers()">Ser users</button>
<button (click)="setUsers2()">Ser users2</button>
<button (click)="setFiltera()">Set filter a</button>
<button (click)="setFilterb()">Set filter b</button>
<button (click)="setMasks()">Set MAsks </button>
<button (click)="setMasks2()">Set MAsks2 </button>
<ng-container [ngTemplateOutlet]="mitemp"></ng-container> 
<ng-container [ngTemplateOutlet]="mitemp2" *ngIf="showInside"></ng-container> 

<button (click)="showInside=true">Show Inside2 </button>